Bug Hunting Session
Bug 105009 - Writer crashes when adding a textbox and undo
Summary: Writer crashes when adding a textbox and undo
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.3 all versions
Hardware: All Linux (All)
: medium critical
Assignee: Michael Stahl (CIB)
URL:
Whiteboard: target:5.4.0 target:5.2.5 target:5.3.0.2
Keywords: accessibility, bibisected, bisected, regression
Depends on:
Blocks:
 
Reported: 2016-12-31 00:15 UTC by tadanet3
Modified: 2017-01-10 15:39 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
procedure (437.99 KB, application/x-vnd.oasis.opendocument.spreadsheet)
2016-12-31 00:15 UTC, tadanet3
Details

Note You need to log in before you can comment on or make changes to this bug.
Description tadanet3 2016-12-31 00:15:06 UTC
Created attachment 130043 [details]
procedure

Hellow,

I use LibreOffice: 5.2.2.2
 Build ID: 1:5.2.2-0ubuntu2
 CPU Threads: 2; OS Version: Linux 4.8; UI Render: default; 

on Wirter
1.Create TextDocument
2.Insert textbox
3.Undo
4.Crash

For more detaile procedure, please see the attached file.
Comment 1 Telesto 2016-12-31 12:30:53 UTC
No repro with Windows:
Version: 5.4.0.0.alpha0+
Build ID: a7c51323b7343f82b5aea6098f5d5e31a8bad0e9
CPU Threads: 4; OS Version: Windows 6.19; UI Render: default; 
TinderBox: Win-x86@42, Branch:master, Time: 2016-12-29_23:35:20
Locale: nl-NL (nl_NL); Calc: CL
Comment 2 Xisco Faulí 2017-01-02 10:01:31 UTC
Reproduced in

Version: 5.4.0.0.alpha0+
Build ID: 767ec2f138d824b6b51eef73ac9b7d2b193a1e98
CPU Threads: 4; OS Version: Linux 4.8; UI Render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); Calc: group
Comment 3 Xisco Faulí 2017-01-02 10:33:19 UTC
regression introduced by:

author	Steve Yin <steve_y@apache.org>	2013-11-29 13:03:27 (GMT)
committer	Caolán McNamara <caolanm@redhat.com>	2013-12-02 10:25:33 (GMT)
commit	76c549eb01dcb7b5bf28a271ce00e386f3d388ba (patch)
tree	bb09874a25b3b29c52556228abdf4aafb9ca6515
parent	84972949a3501003b0b6ad98f07f1b4ab83f3ca1 (diff)
Integrate branch of IAccessible2
Comment 4 Michael Stahl (CIB) 2017-01-06 22:06:19 UTC
fixed on master
Comment 5 Commit Notification 2017-01-06 22:07:22 UTC
Michael Stahl committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=ade1d4c36053c2a7aed959e3dd09ebc1b8430ea8

tdf#105009 sw: fix a11y crash when removing drawing object

It will be available in 5.4.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Timur 2017-01-09 09:47:58 UTC
Linux only.
Comment 7 Michael Stahl (CIB) 2017-01-09 11:55:40 UTC
(In reply to Timur from comment #6)
> Linux only.

did you actually try if it crashes with an a11y tool running on Windows?
i'd be surprised if it doesn't crash.
Comment 8 Commit Notification 2017-01-09 14:32:44 UTC
Michael Stahl committed a patch related to this issue.
It has been pushed to "libreoffice-5-2":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=017991fac36433fb909de83cad63b5ed98b71acf&h=libreoffice-5-2

tdf#105009 sw: fix a11y crash when removing drawing object

It will be available in 5.2.5.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 9 Commit Notification 2017-01-09 14:32:58 UTC
Michael Stahl committed a patch related to this issue.
It has been pushed to "libreoffice-5-3":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=97b9f00e3a443f636416d047e7fdcb7a91fac937&h=libreoffice-5-3

tdf#105009 sw: fix a11y crash when removing drawing object

It will be available in 5.3.0.2.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 10 Timur 2017-01-10 15:39:40 UTC
(In reply to Michael Stahl from comment #7)
> (In reply to Timur from comment #6)
> > Linux only.
> 
> did you actually try if it crashes with an a11y tool running on Windows?
> i'd be surprised if it doesn't crash.

No crash for me in Windows with "Tools - Options - LibreOffice - Accessibility - Support assistive technology tools" checked.